Callisto4Bootloader: ARK/platform_sampler_lpspi3_ad8688.c File Reference

Callisto4Bootloader

Functions | Variables
platform_sampler_lpspi3_ad8688.c File Reference
`#include <cr_section_macros.h>`
`#include "fsl_lpspi.h"`
`#include "fsl_gpio.h"`
`#include "fsl_enet.h"`
`#include "fsl_pit.h"`
`#include "fsl_gpt.h"`
`#include "FreeRTOS.h"`
`#include "task.h"`
`#include "lwip/err.h"`
`#include "enet_mac_if1.h"`
`#include "sav_init.h"`
`#include "platform_sampler_lpspi3_ad8688.h"`

Go to the source code of this file.

## Functions

static void | LPSPI3_Initialise (void)
static void | initGPIO_ADS8688_CS (void)
static void | initADS8688 (void)
static void | PIT_Initialise (void)
static void | GPT_Initialise (void)
static void | Write8688 (LPSPI_Type *base, uint8_t address, uint16_t data)
static bool | sav_rx_enabled (uint8_t *)
static bool | sav_tx_enabled (void)
bool | Sampler_ADS8688_InitHardware (void)
bool | Sampler_ADS8688_Setup (const ePLATFORM_SamplerConfig_t *paeSamplerConfig, uint32_t uiNumChannels, volatile stPLATFORM_SampleGrab_t *pastCircularBuffer, uint32_t uiBufferElements)
bool | Sampler_ADS8688_Start (uint32_t uiPeriod_Nsec)
bool | Sampler_ADS8688_Adjust (uint32_t uiDelay_Nsec, uint32_t uiPeriod_Nsec)
bool | Sampler_ADS8688_Stop (void)
uint32_t | Sampler_ADS8688_GetTimer (void)
uint32_t | Sampler_ADS8688_Grab (uint32_t uiEarliestTimer, volatile stPLATFORM_SampleGrab_t **papstGrabArray, uint32_t uiMaxSamplesToGrab)
static void | ethernet_sv_send_callback (uint16_t sv_frame_length, unsigned char *data)
void | PIT_IRQHandler (void)
void | GPT2_IRQHandler (void)
void | LPSPI3_IRQHandler (void)
static uint8_t | Read8688 (LPSPI_Type *base, uint8_t address)
static void | Read_ADS8688_Internal_Registers (LPSPI_Type *base)
int8_t | process_rx_buffer (unsigned char *data)
static void | enable_ready_to_transfer (void)
static void | config_txsv (void)
static void | config_rxsv (void)
void | config_process_bus (void)

## Variables

static bool | process_ac_ready
static bool | time_error
static bool | calcs_done
static uint32_t | ncycles
static TaskHandle_t | xProcessAcHandle
static bool | process_bus_started = false
static int16_t | sysFreq0
static uint32_t | period
static uint32_t | present_delay_time [MAX_SAMPLE_CHANNELS]
static uint32_t | last_delay_time [MAX_SAMPLE_CHANNELS]
static int16_t | present_sample_data [MAX_SAMPLE_CHANNELS]
static int16_t | last_sample_data [MAX_SAMPLE_CHANNELS]
static uint8_t | channel_number
static bool | sample_data_flag
volatile int16_t | sample_counter
volatile uint16_t | sample_counter_res
volatile uint16_t | sample_index_offset
volatile int16_t | sample_offset
volatile uint16_t | raw_index_offset
volatile bool | ready_to_transfer = false
volatile bool | sv_trans_error = false
static uint8_t | tx_sv_enable
static uint8_t | rx_sv_enable
static int8_t | tx_active_idx
static int8_t | tx_next_idx
static int8_t | tx_buffer_gap
static uint32_t | sv_frame_length
volatile int8_t | sample_cycle
static int8_t | last_cycle
static struct sv_receive_buffer * | rx_buffer_ptr
static struct PROCESS_BUS_CONFIG * | sv_config_ptr
static int8_t | chn_index [MAX_SAMPLE_DATA]
static int8_t | trm_chn_pos [8]
static int8_t | rev_chn_pos [8]
static uint8_t | rev_mac_addr [6]
static int32_t | mu_data [MAX_SAMPLE_CHANNELS]
static struct sv_transmit_buffer | sv_tx_buffer [MAX_TX_BUFFER]
static uint32_t | raw_data [TOT_RAW_DATA]
static uint8_t | auto_seq_en_reg
static uint8_t | channel_power_down_reg
static uint8_t | feature_select_reg
static uint8_t | range_select_reg [TOTAL_RANGE_SELECT_REGISTER]
volatile static bool | notify_flag0 = false
volatile static bool | notify_flag1 = false
volatile static bool | notify_flag2 = false
volatile static bool | notify_flag3 = false
static int8_t | v_chn_pos [4]
static int8_t | c_chn_pos [4]
uint8_t | hwMacAddr [6] ={0x00, 0x04, 0x9F, 0x05, 0x4A, 0xE7}
static struct ethernet_savif | sav_intf
static struct trans_savif | trans_intf
static uint8_t | rx_data [MAX_FRAME_LENGTH]
static struct PROCESS_BUS_CONFIG | temp_sv_config

## Function Documentation

## ◆ config_process_bus()

void config_process_bus | ( | void |  | ) |

Definition at line 1275 of file platform_sampler_lpspi3_ad8688.c.

References config_rxsv(), config_txsv(), enable_ready_to_transfer(), process_bus_started, process_rx_buffer(), PROCESS_BUS_CONFIG::rx_sv_config, rx_sv_enable, sav_intf, sav_rx_enabled(), sav_tx_enabled(), sv_config_ptr, sv_frame_length, sv_tx_buffer, SV_CONFIG::SvEna, sysFreq0, temp_sv_config, trans_intf, PROCESS_BUS_CONFIG::tx_sv_config, and tx_sv_enable.

## ◆ config_rxsv()

static void config_rxsv | ( | void |  | ) |

static

Definition at line 1253 of file platform_sampler_lpspi3_ad8688.c.

References SV_CONFIG::ct_chn, i, SV_CONFIG::mac_address, raw_index_offset, rev_chn_pos, rev_mac_addr, rx_buffer_ptr, rx_data, PROCESS_BUS_CONFIG::rx_sv_config, sv_config_ptr, and SV_CONFIG::vt_chn.

Referenced by config_process_bus().

## ◆ config_txsv()

static void config_txsv | ( | void |  | ) |

static

Definition at line 1163 of file platform_sampler_lpspi3_ad8688.c.

References PROCESS_BUS_CONFIG::app_Id, sv_transmit_buffer::appID0, sv_transmit_buffer::appID1, ASDU_LENGTH, ASDU_NUMBER, sv_transmit_buffer::asduLength, sv_transmit_buffer::asduNumber, CONF_REF_LENGTH, sv_transmit_buffer::ConfRef0, sv_transmit_buffer::ConfRef1, sv_transmit_buffer::ConfRef2, sv_transmit_buffer::ConfRef3, sv_transmit_buffer::ConfRefLength, PROCESS_BUS_CONFIG::ConfRev, SV_CONFIG::ct_chn, sv_transmit_buffer::destMac, ETHER_SV_DATA, sv_transmit_buffer::etherSvData0, sv_transmit_buffer::etherSvData1, hwMacAddr, i, sv_transmit_buffer::imlicitData7, sv_transmit_buffer::imlicitInt0, sv_transmit_buffer::imlicitInt2, sv_transmit_buffer::imlicitInt3, sv_transmit_buffer::imlicitInt5, sv_transmit_buffer::imlicitPdu0, sv_transmit_buffer::imlicitSeq2, sv_transmit_buffer::imlicitString0, IMPLICIT_DATA_7, IMPLICIT_INT_0, IMPLICIT_INT_2, IMPLICIT_INT_3, IMPLICIT_INT_5, IMPLICIT_PDU_0, IMPLICIT_SEQ_2, IMPLICIT_STRING_0, j, SV_CONFIG::mac_address, MAX_SVID_LENGTH, MAX_TX_BUFFER, SV_CONFIG::MsvID, NO_ASDU_LENGTH, sv_transmit_buffer::noAsduLength, PDU_LENGTH, sv_transmit_buffer::pduLength, PROCESS_BUS_CONFIG::Reserved, sv_transmit_buffer::reserved0, sv_transmit_buffer::reserved1, sv_transmit_buffer::reserved2, sv_transmit_buffer::reserved3, sv_transmit_buffer::sampleData, SEQ_LENGTH, sv_transmit_buffer::seqLength, SEQUENCE, sv_transmit_buffer::sequence, SMP_CNT_LENGTH, SMP_DATA_LENGTH, SMP_SYNCH_LENGTH, sv_transmit_buffer::smpCnt0, sv_transmit_buffer::smpCnt1, sv_transmit_buffer::smpCntLength, sv_transmit_buffer::smpDataLength, sv_transmit_buffer::smpSynch, sv_transmit_buffer::smpSynchLength, sv_transmit_buffer::sourceMac, sv_config_ptr, SV_LENGTH, sv_tx_buffer, sv_transmit_buffer::svID, sv_transmit_buffer::svidLength, sv_transmit_buffer::svLength0, sv_transmit_buffer::svLength1, trm_chn_pos, tx_active_idx, tx_buffer_gap, tx_next_idx, PROCESS_BUS_CONFIG::tx_sv_config, and SV_CONFIG::vt_chn.

Referenced by config_process_bus().

## ◆ enable_ready_to_transfer()

static void enable_ready_to_transfer | ( | void |  | ) |

static

Definition at line 1124 of file platform_sampler_lpspi3_ad8688.c.

References ready_to_transfer.

Referenced by config_process_bus().

## ◆ ethernet_sv_send_callback()

static void ethernet_sv_send_callback | ( | uint16_t | sv_frame_length,
|  | unsigned char * | data
| ) |  |

static

Definition at line 176 of file platform_sampler_lpspi3_ad8688.c.

References sv_frame_length.

Referenced by GPT2_IRQHandler(), and LPSPI3_IRQHandler().

## ◆ GPT2_IRQHandler()

WEAK void GPT2_IRQHandler | ( | void |  | ) |

Definition at line 408 of file platform_sampler_lpspi3_ad8688.c.

References ARM_errata_838869, chn_index, sv_transmit_buffer::ConfRef0, sv_transmit_buffer::ConfRef1, ethernet_sv_send_callback(), i, j, MAX_SAMPLE_DATA, MAX_TX_BUFFER, mu_data, period, sample_counter, sv_transmit_buffer::sampleData, sv_transmit_buffer::smpCnt0, sv_transmit_buffer::smpCnt1, SMV_GPT, sv_frame_length, sv_trans_error, sv_tx_buffer, trm_chn_pos, tx_active_idx, tx_buffer_gap, and tx_next_idx.

## ◆ GPT_Initialise()

static void GPT_Initialise | ( | void |  | ) |

static

Definition at line 236 of file platform_sampler_lpspi3_ad8688.c.

References GPT_IRQ_ID, GPT_IRQ_PRIORITY, NVIC_SetPriority, SMV_GPT, SMV_GPT_CLK_FREQ, SMV_GPT_CLOCK_DIVIDER_SELECT, and SMV_GPT_CLOCK_SOURCE_SELECT.

Referenced by Sampler_ADS8688_InitHardware().

## ◆ initADS8688()

static void initADS8688 | ( | void |  | ) |

static

Definition at line 827 of file platform_sampler_lpspi3_ad8688.c.

References ADS8688_LPSPI_MASTER_BASEADDR, i, Read_ADS8688_Internal_Registers(), TOTAL_RANGE_SELECT_REGISTER, and Write8688().

Referenced by Sampler_ADS8688_InitHardware().

## ◆ initGPIO_ADS8688_CS()

static void initGPIO_ADS8688_CS | ( | void |  | ) |

static

Definition at line 689 of file platform_sampler_lpspi3_ad8688.c.

References ADS8688_CS_GPIO, and ADS8688_CS_GPIO_PIN.

Referenced by Sampler_ADS8688_InitHardware().

## ◆ LPSPI3_Initialise()

static void LPSPI3_Initialise | ( | void |  | ) |

static

Definition at line 274 of file platform_sampler_lpspi3_ad8688.c.

References ADS8688_LPSPI_MASTER_BASEADDR, ADS8688_LPSPI_MASTER_IRQN, LPSPI_Type::CFGR1, LPSPI3_CLOCK_SOURCE_DIVIDER, LPSPI3_CLOCK_SOURCE_SELECT, LPSPI3_MASTER_CLK_FREQ, LPSPI3_MASTER_PCS_FOR_INIT, LPSPI3_PRIORITY, LPSPI3_TRANSFER_BAUDRATE, LPSPI_CFGR1_NOSTALL_MASK, LPSPI_TCR_CONT, LPSPI_TCR_CONT_MASK, LPSPI_TCR_CONTC, LPSPI_TCR_CONTC_MASK, LPSPI_TCR_PCS, LPSPI_TCR_PCS_MASK, LPSPI_TCR_RXMSK, LPSPI_TCR_RXMSK_MASK, LPSPI_TCR_TXMSK, MAX_SAMPLE_DATA, NANOSECS_PER_HALFSECOND, NVIC_SetPriority, and LPSPI_Type::TCR.

Referenced by Sampler_ADS8688_InitHardware().

## ◆ LPSPI3_IRQHandler()

WEAK void LPSPI3_IRQHandler | ( | void |  | ) |

Definition at line 483 of file platform_sampler_lpspi3_ad8688.c.

References ADS8688_LPSPI_MASTER_BASEADDR, ARM_errata_838869, channel_number, chn_index, CS_HIGH, CS_LOW, ethernet_sv_send_callback(), i, j, last_delay_time, last_sample_data, LPSPI_CR_RRF_MASK, LPSPI_CR_RTF_MASK, LPSPI_SR_RDF_MASK, MAX_INT15, MAX_SAMPLE_ADD_1, MAX_SAMPLE_CHANNELS_1, MAX_SAMPLE_DATA, MAX_TX_BUFFER, mu_data, period, PIT, present_delay_time, present_sample_data, raw_data, ready_to_transfer, rx_sv_enable, sample_data_flag, sample_offset, SMV_GPT, sv_frame_length, sv_tx_buffer, tx_active_idx, tx_buffer_gap, and tx_sv_enable.

## ◆ PIT_Initialise()

static void PIT_Initialise | ( | void |  | ) |

static

Set up the PIT timer to use the fastest rate system clock Defaults to a 1msec tick

FIXME: This is currently tied to the ADS8688 sampler, we will need to find a way of sharing the PIT IRQ between different samplers, because the platform code is compiled once for multiple targets.

Definition at line 190 of file platform_sampler_lpspi3_ad8688.c.

References NPC, NVIC_SetPriority, period, PIT, PIT_CLOCK, PIT_CLOCK_BASEFREQ, PIT_CLOCK_DIVIDER_RATIO, PIT_CLOCK_SOURCE_SELECT, PIT_CLOCK_WHICH, PIT_IRQ_ID, PIT_IRQ_PRIORITY, and sysFreq0.

Referenced by Sampler_ADS8688_InitHardware().

## ◆ PIT_IRQHandler()

WEAK void PIT_IRQHandler | ( | void |  | ) |

Definition at line 367 of file platform_sampler_lpspi3_ad8688.c.

References ADS8688_LPSPI_MASTER_BASEADDR, ARM_errata_838869, channel_number, CS_LOW, DOUBLE_NPC, i, last_delay_time, LPSPI_CR_RRF_MASK, LPSPI_CR_RTF_MASK, MAX_SAMPLE_CHANNELS, MAX_SAMPLE_DATA, period, PIT, present_delay_time, sample_counter, sample_counter_res, sample_data_flag, sample_index_offset, sample_offset, and Write8688().

## ◆ process_rx_buffer()

int8_t process_rx_buffer | ( | unsigned char * | data | ) |

Definition at line 885 of file platform_sampler_lpspi3_ad8688.c.

References c_chn_pos, calcs_done, DEST_MAC_ERR, sv_receive_buffer::destMac, DOUBLE_NPC, DOUBLE_NPC_1, HALF_NPC_1, i, j, last_cycle, MAX_SAMPLE_CHANNELS, SV_CONFIG::MsvID, ncycles, notify_flag0, notify_flag1, notify_flag2, notify_flag3, NPC_1, ONE_HALF_NPC_1, process_ac_ready, process_bus_started, raw_data, raw_index_offset, rev_chn_pos, rev_mac_addr, rx_buffer_ptr, PROCESS_BUS_CONFIG::rx_sv_config, sample_counter_res, sample_cycle, sv_receive_buffer::sampleData, sv_receive_buffer::smpCnt0, sv_receive_buffer::smpCnt1, sv_config_ptr, SV_ID_ERR, sv_receive_buffer::svID, sv_receive_buffer::svidLength, time_error, v_chn_pos, and xProcessAcHandle.

Referenced by config_process_bus().

## ◆ Read8688()

static uint8_t Read8688 | ( | LPSPI_Type * | base,
|  | uint8_t | address
| ) |  |

static

Definition at line 701 of file platform_sampler_lpspi3_ad8688.c.

References __attribute__(), ADS8688_CS_GPIO, ADS8688_CS_GPIO_PIN, LPSPI_Type::CR, LPSPI_CR_RRF_MASK, LPSPI_CR_RTF_MASK, LPSPI_Type::RDR, and LPSPI_Type::TDR.

Referenced by Read_ADS8688_Internal_Registers().

## ◆ Read_ADS8688_Internal_Registers()

static void Read_ADS8688_Internal_Registers | ( | LPSPI_Type * | base | ) |

static

Definition at line 743 of file platform_sampler_lpspi3_ad8688.c.

References auto_seq_en_reg, channel_power_down_reg, feature_select_reg, i, range_select_reg, Read8688(), and TOTAL_RANGE_SELECT_REGISTER.

Referenced by initADS8688().

## ◆ Sampler_ADS8688_Adjust()

bool Sampler_ADS8688_Adjust | ( | uint32_t | uiDelay_Nsec,
|  | uint32_t | uiPeriod_Nsec
| ) |  |

Definition at line 137 of file platform_sampler_lpspi3_ad8688.c.

## ◆ Sampler_ADS8688_GetTimer()

uint32_t Sampler_ADS8688_GetTimer | ( | void |  | ) |

Definition at line 150 of file platform_sampler_lpspi3_ad8688.c.

## ◆ Sampler_ADS8688_Grab()

uint32_t Sampler_ADS8688_Grab | ( | uint32_t | uiEarliestTimer,
|  | volatile stPLATFORM_SampleGrab_t ** | papstGrabArray,
|  | uint32_t | uiMaxSamplesToGrab
| ) |  |

Definition at line 155 of file platform_sampler_lpspi3_ad8688.c.

## ◆ Sampler_ADS8688_InitHardware()

bool Sampler_ADS8688_InitHardware | ( | void |  | ) |

Definition at line 100 of file platform_sampler_lpspi3_ad8688.c.

References ADS8688_LPSPI_MASTER_BASEADDR, ADS8688_LPSPI_MASTER_IRQN, GPT_Initialise(), initADS8688(), initGPIO_ADS8688_CS(), LPSPI3_Initialise(), and PIT_Initialise().

## ◆ Sampler_ADS8688_Setup()

bool Sampler_ADS8688_Setup | ( | const ePLATFORM_SamplerConfig_t * | paeSamplerConfig,
|  | uint32_t | uiNumChannels,
|  | volatile stPLATFORM_SampleGrab_t * | pastCircularBuffer,
|  | uint32_t | uiBufferElements
| ) |  |

Definition at line 117 of file platform_sampler_lpspi3_ad8688.c.

## ◆ Sampler_ADS8688_Start()

bool Sampler_ADS8688_Start | ( | uint32_t | uiPeriod_Nsec | ) |

Definition at line 130 of file platform_sampler_lpspi3_ad8688.c.

## ◆ Sampler_ADS8688_Stop()

bool Sampler_ADS8688_Stop | ( | void |  | ) |

Definition at line 145 of file platform_sampler_lpspi3_ad8688.c.

## ◆ sav_rx_enabled()

static bool sav_rx_enabled | ( | uint8_t * | sav_mac_addr | ) |

static

Definition at line 1132 of file platform_sampler_lpspi3_ad8688.c.

References NULL, rev_mac_addr, and rx_sv_enable.

Referenced by config_process_bus().

## ◆ sav_tx_enabled()

static bool sav_tx_enabled | ( | void |  | ) |

static

Definition at line 1148 of file platform_sampler_lpspi3_ad8688.c.

References tx_sv_enable.

Referenced by config_process_bus().

## ◆ Write8688()

static void Write8688 | ( | LPSPI_Type * | base,
|  | uint8_t | address,
|  | uint16_t | data
| ) |  |

static

Definition at line 767 of file platform_sampler_lpspi3_ad8688.c.

References __attribute__(), ADS8688_CS_GPIO, ADS8688_CS_GPIO_PIN, LPSPI_Type::CR, i, LPSPI_CR_RRF_MASK, LPSPI_CR_RTF_MASK, LPSPI_Type::RDR, and LPSPI_Type::TDR.

Referenced by initADS8688(), and PIT_IRQHandler().

## Variable Documentation

## ◆ auto_seq_en_reg

uint8_t auto_seq_en_reg

static

Definition at line 684 of file platform_sampler_lpspi3_ad8688.c.

Referenced by Read_ADS8688_Internal_Registers().

## ◆ c_chn_pos

int8_t c_chn_pos[4]

static

Definition at line 877 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ calcs_done

bool calcs_done

static

Definition at line 32 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ channel_number

uint8_t channel_number

static

Definition at line 48 of file platform_sampler_lpspi3_ad8688.c.

Referenced by LPSPI3_IRQHandler(), and PIT_IRQHandler().

## ◆ channel_power_down_reg

uint8_t channel_power_down_reg

static

Definition at line 685 of file platform_sampler_lpspi3_ad8688.c.

Referenced by Read_ADS8688_Internal_Registers().

## ◆ chn_index

int8_t chn_index[MAX_SAMPLE_DATA]

static

Definition at line 73 of file platform_sampler_lpspi3_ad8688.c.

Referenced by GPT2_IRQHandler(), and LPSPI3_IRQHandler().

## ◆ feature_select_reg

uint8_t feature_select_reg

static

Definition at line 686 of file platform_sampler_lpspi3_ad8688.c.

Referenced by Read_ADS8688_Internal_Registers().

## ◆ hwMacAddr

uint8_t hwMacAddr[6] ={0x00, 0x04, 0x9F, 0x05, 0x4A, 0xE7}

Definition at line 1053 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_txsv().

## ◆ last_cycle

int8_t last_cycle

static

Definition at line 69 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ last_delay_time

uint32_t last_delay_time[MAX_SAMPLE_CHANNELS]

static

Definition at line 43 of file platform_sampler_lpspi3_ad8688.c.

Referenced by LPSPI3_IRQHandler(), and PIT_IRQHandler().

## ◆ last_sample_data

int16_t last_sample_data[MAX_SAMPLE_CHANNELS]

static

Definition at line 46 of file platform_sampler_lpspi3_ad8688.c.

Referenced by LPSPI3_IRQHandler().

## ◆ mu_data

int32_t mu_data[MAX_SAMPLE_CHANNELS]

static

Definition at line 78 of file platform_sampler_lpspi3_ad8688.c.

Referenced by GPT2_IRQHandler(), and LPSPI3_IRQHandler().

## ◆ ncycles

uint32_t ncycles

static

Definition at line 33 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ notify_flag0

volatile static bool notify_flag0 = false

static

Definition at line 870 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ notify_flag1

volatile static bool notify_flag1 = false

static

Definition at line 871 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ notify_flag2

volatile static bool notify_flag2 = false

static

Definition at line 872 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ notify_flag3

volatile static bool notify_flag3 = false

static

Definition at line 873 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ period

uint32_t period

static

Definition at line 40 of file platform_sampler_lpspi3_ad8688.c.

Referenced by GPT2_IRQHandler(), LPSPI3_IRQHandler(), PIT_Initialise(), and PIT_IRQHandler().

## ◆ present_delay_time

uint32_t present_delay_time[MAX_SAMPLE_CHANNELS]

static

Definition at line 42 of file platform_sampler_lpspi3_ad8688.c.

Referenced by LPSPI3_IRQHandler(), and PIT_IRQHandler().

## ◆ present_sample_data

int16_t present_sample_data[MAX_SAMPLE_CHANNELS]

static

Definition at line 45 of file platform_sampler_lpspi3_ad8688.c.

Referenced by LPSPI3_IRQHandler().

## ◆ process_ac_ready

bool process_ac_ready

static

Definition at line 30 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ process_bus_started

bool process_bus_started = false

static

Definition at line 38 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_process_bus(), and process_rx_buffer().

## ◆ range_select_reg

uint8_t range_select_reg[TOTAL_RANGE_SELECT_REGISTER]

static

Definition at line 687 of file platform_sampler_lpspi3_ad8688.c.

Referenced by Read_ADS8688_Internal_Registers().

## ◆ raw_data

uint32_t raw_data[TOT_RAW_DATA]

static

Definition at line 80 of file platform_sampler_lpspi3_ad8688.c.

Referenced by LPSPI3_IRQHandler(), and process_rx_buffer().

## ◆ raw_index_offset

volatile uint16_t raw_index_offset

Definition at line 55 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_rxsv(), and process_rx_buffer().

## ◆ ready_to_transfer

volatile bool ready_to_transfer = false

Definition at line 58 of file platform_sampler_lpspi3_ad8688.c.

Referenced by enable_ready_to_transfer(), and LPSPI3_IRQHandler().

## ◆ rev_chn_pos

int8_t rev_chn_pos[8]

static

Definition at line 75 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_rxsv(), and process_rx_buffer().

## ◆ rev_mac_addr

uint8_t rev_mac_addr[6]

static

Definition at line 76 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_rxsv(), process_rx_buffer(), and sav_rx_enabled().

## ◆ rx_buffer_ptr

struct sv_receive_buffer* rx_buffer_ptr

static

Definition at line 70 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_rxsv(), and process_rx_buffer().

## ◆ rx_data

uint8_t rx_data[MAX_FRAME_LENGTH]

static

Definition at line 1062 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_rxsv().

## ◆ rx_sv_enable

uint8_t rx_sv_enable

static

Definition at line 61 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_process_bus(), LPSPI3_IRQHandler(), and sav_rx_enabled().

## ◆ sample_counter

volatile int16_t sample_counter

Definition at line 51 of file platform_sampler_lpspi3_ad8688.c.

Referenced by GPT2_IRQHandler(), and PIT_IRQHandler().

## ◆ sample_counter_res

volatile uint16_t sample_counter_res

Definition at line 52 of file platform_sampler_lpspi3_ad8688.c.

Referenced by PIT_IRQHandler(), and process_rx_buffer().

## ◆ sample_cycle

volatile int8_t sample_cycle

Definition at line 68 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ sample_data_flag

bool sample_data_flag

static

Definition at line 49 of file platform_sampler_lpspi3_ad8688.c.

Referenced by LPSPI3_IRQHandler(), and PIT_IRQHandler().

## ◆ sample_index_offset

volatile uint16_t sample_index_offset

Definition at line 53 of file platform_sampler_lpspi3_ad8688.c.

Referenced by PIT_IRQHandler().

## ◆ sample_offset

volatile int16_t sample_offset

Definition at line 54 of file platform_sampler_lpspi3_ad8688.c.

Referenced by LPSPI3_IRQHandler(), and PIT_IRQHandler().

## ◆ sav_intf

struct ethernet_savif sav_intf

static

Definition at line 1058 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_process_bus().

## ◆ sv_config_ptr

struct PROCESS_BUS_CONFIG* sv_config_ptr

static

Definition at line 71 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_process_bus(), config_rxsv(), config_txsv(), and process_rx_buffer().

## ◆ sv_frame_length

uint32_t sv_frame_length

static

Definition at line 66 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_process_bus(), ethernet_sv_send_callback(), GPT2_IRQHandler(), and LPSPI3_IRQHandler().

## ◆ sv_trans_error

volatile bool sv_trans_error = false

Definition at line 59 of file platform_sampler_lpspi3_ad8688.c.

Referenced by GPT2_IRQHandler().

## ◆ sv_tx_buffer

struct sv_transmit_buffer sv_tx_buffer[MAX_TX_BUFFER]

static

Definition at line 79 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_process_bus(), config_txsv(), GPT2_IRQHandler(), and LPSPI3_IRQHandler().

## ◆ sysFreq0

int16_t sysFreq0

static

Definition at line 39 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_process_bus(), and PIT_Initialise().

## ◆ temp_sv_config

struct PROCESS_BUS_CONFIG temp_sv_config

static

Definition at line 1066 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_process_bus().

## ◆ time_error

bool time_error

static

Definition at line 31 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ trans_intf

struct trans_savif trans_intf

static

Definition at line 1059 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_process_bus().

## ◆ trm_chn_pos

int8_t trm_chn_pos[8]

static

Definition at line 74 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_txsv(), and GPT2_IRQHandler().

## ◆ tx_active_idx

int8_t tx_active_idx

static

Definition at line 63 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_txsv(), GPT2_IRQHandler(), and LPSPI3_IRQHandler().

## ◆ tx_buffer_gap

int8_t tx_buffer_gap

static

Definition at line 65 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_txsv(), GPT2_IRQHandler(), and LPSPI3_IRQHandler().

## ◆ tx_next_idx

int8_t tx_next_idx

static

Definition at line 64 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_txsv(), and GPT2_IRQHandler().

## ◆ tx_sv_enable

uint8_t tx_sv_enable

static

Definition at line 60 of file platform_sampler_lpspi3_ad8688.c.

Referenced by config_process_bus(), LPSPI3_IRQHandler(), and sav_tx_enabled().

## ◆ v_chn_pos

int8_t v_chn_pos[4]

static

Definition at line 876 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().

## ◆ xProcessAcHandle

TaskHandle_t xProcessAcHandle

static

Definition at line 34 of file platform_sampler_lpspi3_ad8688.c.

Referenced by process_rx_buffer().